source: subversion/sites/rails_port/config/initializers/libxml.rb @ 14059

Last change on this file since 14059 was 14059, checked in by tomhughes, 10 years ago

Require libxml 1.1.1 to fix seg faults.

File size: 237 bytes
Line 
1require 'rubygems'
2gem 'libxml-ruby', '>= 1.1.1'
3require 'libxml'
4
5# This is required otherwise libxml writes out memory errors to
6# the standard output and exits uncleanly
7LibXML::XML::Error.set_handler do |message|
8  raise message
9end
Note: See TracBrowser for help on using the repository browser.